# Trouble Shooting

### Exeeded Free tier budget.

Error message

```
Exceeded state budget limit for free tier (42479668 > 25000000)
```

You need to stake AIN token to your app if you want to write more data. [How to stake](https://docs.ainetwork.ai/ain-blockchain/developer-guide/getting-started#step-8.-stake-ain-to-your-app)

You can manage your app data capacity to using garbage collection rule.

```javascript
const txBody = {
  operation: {
    typeL 'SET_RULE',
    ref: `/apps/${appName}/PATH_TO_SET_GC_RULE`
    value: {
      ".rule": {
        state: {
          gc_max_siblings: 50,
          gc_num_siblings_deleted: 10, // You should set this over 10.
        },
      }
    },
    gas_price: 500,
    timestamp: Date.now(),
    nonce: -1,
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ainetwork.ai/ain-blockchain/developer-guide/trouble-shooting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
